Package org.eclipse.jgit.lib

## Class InflaterCache

- java.lang.Object
- - org.eclipse.jgit.lib.InflaterCache

    public class InflaterCache
    extends Object

Creates zlib based inflaters as necessary for object decompression.

### Method Summary

All Methods Static Methods Concrete Methods
`static Inflater` `get()` Obtain an Inflater for decompression.
`static void` `release​(Inflater i)` Release an inflater previously obtained from this cache.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### get

    public static Inflater get()

Obtain an Inflater for decompression.

Inflaters obtained through this cache should be returned (if possible) by `release(Inflater)` to avoid garbage collection and reallocation.

Returns:
  an available inflater. Never null.

#### release

    public static void release​(Inflater i)

Release an inflater previously obtained from this cache.

Parameters:
  `i` - the inflater to return. May be null, in which case this method does nothing.